# PgpSignatory

open class PgpSignatory : SignatorySupport

PGP signatory from PGP key and password.

## Constructors

PgpSignatory
Link copied to clipboard
constructor(name: String, secretKey: PGPSecretKey, password: String)

## Properties

name
Link copied to clipboard
val name: String

## Functions

createSignatureGenerator
Link copied to clipboard
open fun createSignatureGenerator(): PGPSignatureGenerator
getKeyId
Link copied to clipboard
open fun getKeyId(): String
getName
Link copied to clipboard
abstract fun getName(): String
sign
Link copied to clipboard
open fun sign(toSign: InputStream): Array<Byte>
open fun sign(toSign: InputStream, signatureDestination: OutputStream)
Exhausts `toSign`, and writes the signature to `signatureDestination`.